GNU bug report logs - #41208
[PATCH] gnu: Add python-libtmux

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Edouard Klein <edk@HIDDEN>; Keywords: patch; merged with #41455; dated Tue, 12 May 2020 13:52:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 41208 41455. Request was from Marius Bakke <marius@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 41208 <at> debbugs.gnu.org:


Received: (at 41208) by debbugs.gnu.org; 25 May 2020 11:48:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 25 07:48:01 2020
Received: from localhost ([127.0.0.1]:40065 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jdBaL-0005le-7m
	for submit <at> debbugs.gnu.org; Mon, 25 May 2020 07:48:01 -0400
Received: from sender4-op-o10.zoho.com ([136.143.188.10]:17096)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <edou@HIDDEN>) id 1jd9W2-0006bE-7B
 for 41208 <at> debbugs.gnu.org; Mon, 25 May 2020 05:35:28 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1590399324; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=cq+OHNSBQcse9LS6Ud86Ld//a/KhtiApU3kgCym/ZDDB2NtMbMPcYKvo7Ryj5j11qFb8zIit7JzPUwgPyuoXMlET6Dg8VSke1j6NRzHe0bstZdf7qgUJ11o0XNtvyB2CCIxCZ7+7LWSwsf5MjFrzdr9y3ty0jIBikIJi9iumsas=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1590399324;
 h=Content-Type:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=82WPaNDI+Uu8okDIe2OG0E/5G4yXHJuHFlhNpPsSApE=; 
 b=erruD3MZSQADaTseGhh4qmpVEoywHRDxYDkMmQB4WsK8E/9ZQxScQcd6lpB4SML/qjjqgN/yQJ+fgC7zORO92Uvi/3Q8wd0ESy0uA32s8qe10u9hZbMZ2sJ7hRJ+owKyeKQ1AFWS58t3NmFxdQO3PeTxQqSBRJTbqz55sUYzdmE=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=rdklein.fr;
 spf=pass  smtp.mailfrom=edou@HIDDEN;
 dmarc=pass header.from=<edou@HIDDEN> header.from=<edou@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1590399324; 
 s=zoho; d=rdklein.fr; i=edou@HIDDEN;
 h=References:From:To:Subject:In-reply-to:Message-ID:Date:MIME-Version:Content-Type;
 bh=82WPaNDI+Uu8okDIe2OG0E/5G4yXHJuHFlhNpPsSApE=;
 b=YuPC0PsjVPhGN4YtTuT2gcedwe/YCXvwjQEWx78y/mG7V23gANCFS6DZsHm8JELG
 oDu5IX0Htpxq6W6l5AaAB1rgil9CJKrUdliwxTH2YDkdOf9nAJomAE8ujKeX3dCYIDU
 zSZda4UqmyqSwRgT7aSrNrGHmQz0tdsgcq3/YYkA=
Received: from alice.lan (lfbn-idf1-1-1299-119.w90-79.abo.wanadoo.fr
 [90.79.23.119]) by mx.zohomail.com
 with SMTPS id 1590399322742475.8213532709183;
 Mon, 25 May 2020 02:35:22 -0700 (PDT)
References: <871rnpi7mn.fsf@HIDDEN>
 <handler.41208.B.15892915208752.ack <at> debbugs.gnu.org>
User-agent: mu4e 1.4.6; emacs 26.3
From: Edouard Klein <edou@HIDDEN>
To: 41208 <at> debbugs.gnu.org
Subject: Re: bug#41208: Acknowledgement ([PATCH] gnu: Add python-libtmux)
In-reply-to: <handler.41208.B.15892915208752.ack <at> debbugs.gnu.org>
Message-ID: <87sgfoich4.fsf@HIDDEN>
Date: Mon, 25 May 2020 11:35:19 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 41208
X-Mailman-Approved-At: Mon, 25 May 2020 07:48:00 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I suggest we close this one as I sent the patch for python-libtmux as a
response to Marius' comments on bug #41455.


GNU bug Tracking System writes:

> Thank you for filing a new bug report with debbugs.gnu.org.
>
> This is an automatically generated reply to let you know your message
> has been received.
>
> Your message is being forwarded to the package maintainers and other
> interested parties for their attention; they will reply in due course.
>
> Your message has been sent to the package maintainer(s):
>  guix-patches@HIDDEN
>
> If you wish to submit further information on this problem, please
> send it to 41208 <at> debbugs.gnu.org.
>
> Please do not send mail to help-debbugs@HIDDEN unless you wish
> to report a problem with the Bug-tracking system.





Information forwarded to guix-patches@HIDDEN:
bug#41208; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 May 2020 13:52:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 12 09:51:59 2020
Received: from localhost ([127.0.0.1]:54610 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jYVK5-0002Gy-DK
	for submit <at> debbugs.gnu.org; Tue, 12 May 2020 09:51:59 -0400
Received: from lists.gnu.org ([209.51.188.17]:49180)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <edk@HIDDEN>) id 1jYVK0-0002Gn-De
 for submit <at> debbugs.gnu.org; Tue, 12 May 2020 09:51:52 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50926)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <edk@HIDDEN>)
 id 1jYVK0-0003WG-0h
 for guix-patches@HIDDEN; Tue, 12 May 2020 09:51:48 -0400
Received: from sender4-op-o11.zoho.com ([136.143.188.11]:17138)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_CBC_SHA1:256)
 (Exim 4.90_1) (envelope-from <edk@HIDDEN>)
 id 1jYVJx-0005Rz-6S
 for guix-patches@HIDDEN; Tue, 12 May 2020 09:51:47 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1589291502; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=W2yAQfz9K1guIcNhOZwGWPEL9Co7GDriOns76cKaWbdfk9JEALGfdsaw+cgTyABgbhtqfyGdIjn+Xf8dM5A5Axa1zoJXYtnVWzyvl63+A57Gs6DVel+J7mJRpqG08+z0Jw8LRv4xjKLowTeFLultwE3OyKSdvxJgN0AWdfQLhT0=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1589291502;
 h=Content-Type:Content-Transfer-Encoding:Date:From:MIME-Version:Message-ID:Subject:To;
 bh=spQ0E13OkvsAVlc6J1PJqSnbiICJzbkWV3eeksVArtk=; 
 b=aSNkG+csoZMJCuYFSP9MCQLLrDT5Qw3Q5nmq22tTokyp3FU7VDkxVzewXsE7bSgDICA0R8VShjkzheskVakz59ipzNt10U/J2VY80b0Fliw16IDQ8FWtnWgAChKHFGM/3ydU+nzv2rDu42RGBykIQpRclIzN0nYKqjrjaMSgfzg=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=beaver-labs.com;
 spf=pass  smtp.mailfrom=edk@HIDDEN;
 dmarc=pass header.from=<edk@HIDDEN> header.from=<edk@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1589291502; 
 s=zoho; d=beaver-labs.com; i=edk@HIDDEN;
 h=From:To:Subject:Message-ID:Date:MIME-Version:Content-Type:Content-Transfer-Encoding;
 bh=spQ0E13OkvsAVlc6J1PJqSnbiICJzbkWV3eeksVArtk=;
 b=Qr2wNXPaFHZqE6Dx3/q0iynysdCvM59mz/MJNJvy3Yemn3C6WVTiCIJPtJznUvKh
 lrStK81HGv/4dVYjU794Qrll2GU5RagMgT+4LyJIuH9J5QByAFl2+vfKuxkWVsVLlPj
 nv8oXJhUPsqu5FslQiOs3w4BT07dIe8wTmI0tOEM=
Received: from alice.lan (lfbn-idf1-1-1299-119.w90-79.abo.wanadoo.fr
 [90.79.23.119]) by mx.zohomail.com
 with SMTPS id 1589291499957352.51942782430183;
 Tue, 12 May 2020 06:51:39 -0700 (PDT)
User-agent: mu4e 1.4.4; emacs 26.3
From: Edouard Klein <edk@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add python-libtmux
Message-ID: <871rnpi7mn.fsf@HIDDEN>
Date: Tue, 12 May 2020 15:51:28 +0200
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
Received-SPF: pass client-ip=136.143.188.11; envelope-from=edk@HIDDEN;
 helo=sender4-op-o11.zoho.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/05/12 09:51:43
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

---
 gnu/packages/check.scm      | 49 +++++++++++++++++++++++++++++++++++++
 gnu/packages/python-xyz.scm | 46 ++++++++++++++++++++++++++++++++++
 2 files changed, 95 insertions(+)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index 9971700d2d..2b59a7ec99 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -33,6 +33,7 @@
 ;;; Copyright =C2=A9 2020 Lars-Dominik Braun <ldb@HIDDEN>
 ;;; Copyright =C2=A9 2020 Brice Waegeneire <brice@HIDDEN>
 ;;; Copyright =C2=A9 2020 Josh Marshall <joshua.r.marshall.1991@HIDDEN>
+;;; Copyright =C2=A9 2020 Edouard Klein <edk@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -68,6 +69,7 @@
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages time)
   #:use-module (gnu packages xml)
+  #:use-module (gnu packages version-control)
   #:use-module (guix utils)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
@@ -819,6 +821,53 @@ and many external plugins.")
     (license license:expat)
     (properties `((python2-variant . ,(delay python2-pytest))))))
=20
+(define-public python-pytest-4
+  (package
+    (name "python-pytest-4")
+    (version "4.5.0")
+    (source
+     (origin
+       (method git-fetch)
+       ;; Pypi source tarball does not include tests
+       (uri (git-reference
+             (url "https://github.com/pytest-dev/pytest.git")
+             (commit version)))
+       (file-name "python-pytest-4")
+       (sha256
+        (base32
+         "0igxfasjqabkzlb81vxqr58pfsdwjx4zzd1nc1b48wn6xnkkllhk"))))
+    (build-system python-build-system)
+    (propagated-inputs
+     `(("python-atomicwrites" ,python-atomicwrites)
+       ("python-attrs" ,python-attrs)
+       ("python-attrs" ,python-attrs)
+       ("python-more-itertools" ,python-more-itertools)
+       ("python-pluggy" ,python-pluggy)
+       ("python-six" ,python-six)
+       ("python-py" ,python-py)
+       ("python-wcwidth" ,python-wcwidth)))
+    (native-inputs
+     `(("python-setuptools-scm" ,python-setuptools-scm)
+       ("git" ,git)))
+    (arguments `(#:phases
+                 (modify-phases %standard-phases
+                   (add-after 'unpack 'git-tag
+                     (lambda _
+                       ;; setuptools-scm needs to know the version
+                       (invoke "git" "init")
+                       (invoke "git" "add" ".")
+                       (invoke "git" "config" "user.name" "John Doe")
+                       (invoke "git" "config" "user.email" "nobody@example=
.com")
+                       (invoke "git" "commit" "-m" "dummy commit")
+                       (invoke "git" "tag" ,version))))))
+    (home-page "https://docs.pytest.org/en/latest/")
+    (synopsis "Python testing library")
+    (description
+     "Pytest is a testing tool that provides auto-discovery of test modules
+and functions, detailed info on failing assert statements, modular fixture=
s,
+and many external plugins.")
+    (license license:expat)))
+
 ;; Pytest 4.x are the last versions that support Python 2.
 (define-public python2-pytest
   (package
diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 29b3305e5b..9ec4658523 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -77,6 +77,7 @@
 ;;; Copyright =C2=A9 2020 Lars-Dominik Braun <ldb@HIDDEN>
 ;;; Copyright =C2=A9 2020 Alex ter Weele <alex.ter.weele@HIDDEN>
 ;;; Copyright =C2=A9 2020 Matthew Kraai <kraai@HIDDEN>
+;;; Copyright =C2=A9 2020 Edouard Klein <edk@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -167,6 +168,7 @@
   #:use-module (gnu packages tcl)
   #:use-module (gnu packages bdw-gc)
   #:use-module (gnu packages serialization)
+  #:use-module (gnu packages tmux)
   #:use-module (guix packages)
   #:use-module (guix download)
   #:use-module (guix git-download)
@@ -19889,3 +19891,47 @@ module.  @code{cmd2} provides a wealth of features=
 on top of @code{cmd} to
 make your life easier and eliminates much of the boilerplate code which wo=
uld
 be necessary when using @code{cmd}.")
     (license license:expat)))
+
+(define-public python-libtmux
+  (package
+    (name "python-libtmux")
+    (version "0.8.2")
+    (source
+     (origin
+       (method git-fetch)
+       ;; Pypi source tarball does not include tests
+       (uri (git-reference
+             (url "https://github.com/tmux-python/libtmux.git")
+             (commit (string-append "v" version))))
+       (file-name "python-libtmux")
+       (sha256
+        (base32
+         "1akjv6aqpc690c4l2cjh0fxbpxxg63sfjggapfjjjaqmcl38g1dz"))))
+    (build-system python-build-system)
+    (propagated-inputs
+     `(("python-pytest-4" ,python-pytest-4)
+       ("tmux" ,tmux)
+       ("procps" ,procps)))  ;; Tests need top
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda _
+             ;; Extend PYTHONPATH so the built package will be found.
+             (setenv "PYTHONPATH"
+                     (string-append (getcwd) "/build/lib:"
+                                    (getenv "PYTHONPATH")))
+             ;; Skip tests that I suspect fail because of a change
+             ;; in behavior in tmux 3 from tmux 2
+             ;; https://github.com/tmux-python/libtmux/issues/281
+             (invoke "pytest" "-vv" "-k"
+                     (string-append "not test_show_option_unknown "
+                                    "and not test_show_window_option_unkno=
wn"))
+             #t)))))
+    (home-page
+     "https://github.com/tmux-python/libtmux")
+    (synopsis "Scripting library / orm for tmux")
+    (description "Libtmux is the tool behind tmuxp, a tmux workspace manag=
er in python.
+It builds upon tmux's target and formats to create an object mapping to tr=
averse,
+ inspect and interact with live tmux sessions.")
+    (license license:expat)))
--=20
2.26.2




Acknowledgement sent to Edouard Klein <edk@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#41208; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 May 2020 23:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.